$color-border: #eee;
$color-label: #aaa;
$font-default: 'HelveticaNeue-Light', 'Helvetica Neue Light', 'Helvetica Neue', Helvetica, Arial, sans-serif;
$font-bold: 'HelveticaNeue-Medium', 'Helvetica Neue Medium';


/* Global "table" column settings */
.product-image {
    float: left;
    width: 20%;
}

.product-details {
    float: left;
    width: 37%;
}

.product-price {
    float: left;
    width: 12%;
}

.product-quantity {
    float: left;
    width: 10%;
}

.product-removal {
    float: left;
    width: 9%;
}

.product-line-price {
    float: left;
    width: 12%;
    text-align: right;
}

.group:before,
.group:after {
    content: '';
    display: table;
}

.group:after {
    clear: both;
}

.group {
    zoom: 1;
}

.shopping-cart,
.column-labels,
.product,
.totals-item {
    @extend .group;
}

body {
    padding: 0px 30px 30px 20px;
    font-family: $font-default;
    font-weight: 100;
}

h1 {
    font-weight: 100;
}

label {
    color: $color-label;
}

.shopping-cart {
    margin-top: -45px;
}

.column-labels {
    label {
        padding-bottom: 15px;
        margin-bottom: 15px;
        border-bottom: 1px solid $color-border;
    }

    .product-image,
    .product-details,
    .product-removal {
        text-indent: -9999px;
    }
}

.product {
    margin-bottom: 20px;
    padding-bottom: 10px;
    border-bottom: 1px solid $color-border;

    .product-image {
        text-align: center;

        img {
            width: 100px;
        }
    }

    .product-details {
        .product-title {
            margin-right: 20px;
            font-family: $font-bold;
        }

        .product-description {
            margin: 5px 20px 5px 0;
            line-height: 1.4em;
        }
    }

    .product-quantity {
        input {
            width: 40px;

        }
    }

    .remove-product {
        border: 0;
        padding: 4px 8px;
        background-color: #c66;
        color: #fff;
        font-family: $font-bold;
        font-size: 12px;
        border-radius: 3px;
    }

    .remove-product:hover {
        background-color: #a44;
    }
}


/* Totals section */
.totals {
    .totals-item {
        float: right;
        clear: both;
        width: 100%;
        margin-bottom: 10px;

        label {
            float: left;
            clear: both;
            width: 79%;
            text-align: right;
        }

        .totals-value {
            float: right;
            width: 21%;
            text-align: right;
        }
    }

    .totals-item-total {
        font-family: $font-bold;
    }
}

.checkout {
    float: right;
    border: 0;
    margin-top: 20px;
    padding: 6px 25px;
    background-color: #6b6;
    color: #fff;
    font-size: 25px;
    border-radius: 3px;
}

.checkout:hover {
    background-color: #494;
}

@media screen and (max-width: 650px) {

    .shopping-cart {
        margin: 0;
        padding-top: 20px;
        border-top: 1px solid $color-border;
    }

    .column-labels {
        display: none;
    }

    .product-image {
        float: right;
        width: auto;

        img {
            margin: 0 0 10px 10px;
        }
    }

    .product-details {
        float: none;
        margin-bottom: 10px;
        width: auto;
    }

    .product-price {
        clear: both;
        width: 70px;
    }

    .product-quantity {
        width: 100px;

        input {
            margin-left: 20px;
        }
    }

    .product-quantity:before {
        content: 'x';
    }

    .product-removal {
        width: auto;
    }

    .product-line-price {
        float: right;
        width: 70px;
    }

}

@media screen and (max-width: 350px) {

    .product-removal {
        float: right;
    }

    .product-line-price {
        float: right;
        clear: left;
        width: auto;
        margin-top: 10px;
    }

    .totals {
        .totals-item {
            label {
                width: 60%;
            }

            .totals-value {
                width: 40%;
            }
        }
    }
}

select {
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    appearance: none;
    outline: 0;
    box-shadow: none;
    border: 0 !important;
    background: #e53935;
    background-image: none;
}

.select {
    position: relative;
    display: flex;
    width: 20em;
    height: 3em;
    line-height: 3;
    background: #fff;
    overflow: hidden;
    border-radius: .25em;
}

select {
    flex: 1;
    padding: 0 .5em;
    color: #fff;
    cursor: pointer;
}

.select::after {
    content: '\25BC';
    position: absolute;
    top: 0;
    right: 0;
    padding: 0 1em;
    background: #e53935;
    cursor: pointer;
    pointer-events: none;
    -webkit-transition: .25s all ease;
    -o-transition: .25s all ease;
    transition: .25s all ease;
    color: white;
}

/* Transition */
.select:hover::after {
    color: Gainsboro;
}

//css nút back
.custom-button {
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    background-color: #007bff;
    color: white;
    font-size: 16px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s, transform 0.3s;
}

.custom-button:hover {
    background-color: #0056b3;
    transform: translateY(-2px);
}

.custom-button:active {
    background-color: #004085;
    transform: translateY(0);
}

.custom-button svg {
    margin-right: 8px;
}

.none-border {
    border: none;
    outline: none;
    width: 70px;
}

.none-border:focus {
    outline: none;
}